#!/bin/sh
# $Id: secure.sh 6294 2004-06-10 15:08:20Z jenst $


set -e

ROOT=/usr/share/gallery
CONFDIR=/etc/webapps/gallery

if [ `whoami` != "root" ] ; then
    echo "You must be root to run this script" 2>&1
    exit 1
fi

for file in $CONFDIR/config.php $CONFDIR/htaccess ; do
    if [  -f $file ]; then
    	chown root:http $file
        chmod 640  $file
    fi
done

if [ -f $ROOT/setup/resetadmin ]; then
    rm -f $ROOT/setup/resetadmin
fi

echo ""
echo "Your Gallery is now secure and cannot be configured.  If"
echo "you wish to reconfigure it, run configure.sh as root:"
echo ""
echo "    # $ROOT/configure.sh"
echo ""
